<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <title>Tutoriel Markdown - Code</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <link href='https://docs.forge.apps.education.fr/tutoriels/tutomd/fonts/font-awesome-4.7.0/css/font-awesome.min.css' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" href="../css/normalize-skeleton.css">    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/default.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.css">
    <link rel="stylesheet" href="../css/points.css">
    <link rel="stylesheet" href="../css/menu.css">
    <link rel="stylesheet" href="../css/style.css">

    <link rel="icon" type="image/png" href="../images/favicon.png">

    <style>
@font-face {
  font-family: 'Roboto Mono';
  src: url('/fonts/RobotoMono-Regular.woff2') format('woff2'),
       url('/fonts/RobotoMono-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
</style>    
    
</head>

<body>

    <div id="fullpage">

        <div id="footer">
            <div class="dotstyle dotstyle-fillup">
                <ul>
                    <li class="current"><a href="javascript:goToSlide(0);">1</a></li>
                    <li><a href="javascript:goToSlide(1);">2</a></li>
                    <li><a href="javascript:goToSlide(2);">3</a></li>
                    <li><a href="javascript:goToSlide(3);">4</a></li>
                </ul>
            </div>
        </div>

        <div class="section code">
            
            <div class="slide 0 active">
                <div class="container">
                    <div class="row noselect">
                        <div class="twelve columns">
                            <div class="lesson-number">07</div>
                        </div>
                    </div>
                    <div class="row rowspacer">
                        <div class="twelve columns">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="four columns">
                            <h2>Code</h2>
                            <p>Pour créer du code dans une ligne, encadrez le texte avec des accents graves (<i>backticks</i>) <code>`</code>.</p>
                            <p>Pour créer un bloc de code, vous pouvez soit faire débuter chaque ligne par un retrait de 4 espaces, soit mettre 3 accents graves <code>```</code> sur la ligne qui précède le code et celle qui le suit.</p>
                            <p>Cliquez sur les boutons <i style="color:orangered;" class="fa fa-plus-circle" aria-hidden="true"></i> pour en apprendre davantage.</p>

                            <p class="try-it">
                                <button class="noselect button-primary button-next">Exercices</button>
                            </p>
                        </div>
                        <div class="eight columns">
                            <div class="cd-product cd-container">
                                <div class="cd-product-wrapper">
                                    <div class="cd-product-description" style="font-size:22px">
                                        Inline `code`<br/>
                                        <br/>
                                        &nbsp;&nbsp;&nbsp;&nbsp;indent 4 spaces<br/>
                                        <br/>
                                        ```<br>
                                        Or use 3 accents graves<br/>
                                        ```<br>
                                    </div>
                                    <ul>
                                        <li class="cd-single-point" style="top:-24px;left:113px;">
                                            <a class="cd-img-replace" href="#">Plus</a>
                                            <div class="cd-more-info cd-left">
                                                <p>Un extrait de code en ligne ou en bloc affiche les caractères <i>exactement</i> tels qu'ils ont été insérés.</p>
                                                <a href="#" class="cd-close-info cd-img-replace">Fermer</a>
                                            </div>
                                        </li>
                                        
                                        <li class="cd-single-point" style="top:30px;left:15px;">
                                            <a class="cd-img-replace" href="#">Plus</a>
                                            <div class="cd-more-info cd-left">
                                                <p>Dans un bloc de code, un niveau de retrait vaut 4 espaces ou une tabulation.</p>
                                                <a href="#" class="cd-close-info cd-img-replace">Fermer</a>
                                            </div>
                                        </li>
                                        
                                        <li class="cd-single-point" style="top:80px;left:15px;">
                                            <a class="cd-img-replace" href="#">Plus</a>
                                            <div class="cd-more-info cd-left">
                                                <p>Un bloc de code mis en forme par des retraits continue jusqu'à la première ligne qui ne commence pas par un retrait.</p>
                                                <a href="#" class="cd-close-info cd-img-replace">Fermer</a>
                                            </div>
                                        </li>

                                        <li class="cd-single-point" style="top:170px;left:40px;">
                                            <a class="cd-img-replace" href="#">Plus</a>
                                            <div class="cd-more-info cd-left">
                                                <p>3 accents graves seuls sur une ligne <code>```</code> marquent le début et la fin d'un bloc de code.<br/>
                                                </p>
                                                <p>On désigne parfois ceci par l'expression “<i>code fence</i>” (littéralement : enclos à code).</p>
                                                <a href="#" class="cd-close-info cd-img-replace">Fermer</a>
                                            </div>
                                        </li>

                                        
                                    </ul>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="slide 1">
                <div class="container">
                    <div class="row exercise-instructions">
                        <div class="twelve columns">
                            <p>Mettez les formules mathématiques sous forme de code en ligne :</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <textarea id="editor_8-1" class="editor">When x = 3, that means x + 2 = 5</textarea>
                        </div>
                        <div class="six columns">
                            <div id="render_pad_8-1" class="render-pad"></div>
                            <div id="html_pad_8-1" class="html-pad"></div>
                        </div>
                    </div>
                    <div class="row rowspacer">
                        <div class="six columns">
                            &nbsp;
                        </div>
                        <div class="six columns generated-check">
                            <label class="noselect"><input id="ck_show_html_8-1" type="checkbox" class="show-html" /> Montrer le résultat en HTML</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <p>
                                <button id="btn_answer_8-1" class="noselect button button-answer">Indice</button>
                                <button id="btn_reset_8-1" class="noselect button button-reset">Remettre à zéro</button>
                            </p>
                            <p>
                                <button class="noselect button-primary button-next u-full-width">Exercice suivant</button>                                
                                <button class="noselect button-primary button-previous u-full-width">Code</button>
                            </p>
                        </div>
                        <div class="six columns">
                            <!-- empty -->
                        </div>
                    </div>
                </div>
            </div>

            <div class="slide 2">
                <div class="container">
                    <div class="row exercise-instructions">
                        <div class="twelve columns">
                            <p>Mettez ce tableau sous forme d'un bloc de code par retrait :</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <textarea id="editor_8-2" class="editor">Who ate the most donuts this week?

Jeff  15
Sam   11
Robin  6</textarea>
                        </div>
                        <div class="six columns">
                            <div id="render_pad_8-2" class="render-pad"></div>
                            <div id="html_pad_8-2" class="html-pad"></div>
                        </div>
                    </div>
                    <div class="row rowspacer">
                        <div class="six columns">
                            &nbsp;
                        </div>
                        <div class="six columns generated-check">
                            <label class="noselect"><input id="ck_show_html_8-2" type="checkbox" class="show-html" /> Montrer le résultat en HTML</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <p>
                                <button id="btn_answer_8-2" class="noselect button button-answer">Indice</button>
                                <button id="btn_reset_8-2" class="noselect button button-reset">Remettre à zéro</button>
                            </p>
                            <p>
                                <button class="noselect button-primary button-next u-full-width">Exercice suivant</button>
                                <button class="noselect button-primary button-previous u-full-width">Exercice précédent</button>
                            </p>
                        </div>
                        <div class="six columns">
                            <!-- empty -->
                        </div>
                    </div>
                </div>
            </div>

            <div class="slide 3">
                <div class="container">
                    <div class="row exercise-instructions">
                        <div class="twelve columns">
                            <p>Mettez en forme cet extrait de code par la méthode dite du “<i>code fence</i>” :</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <textarea id="editor_8-3" class="editor">A loop in JavaScript:

var i;
for (i=0; i&lt;5; i++) {
  console.log(i);
}

What numbers will this print?</textarea>
                        </div>
                        <div class="six columns">
                            <div id="render_pad_8-3" class="render-pad"></div>
                            <div id="html_pad_8-3" class="html-pad"></div>
                        </div>
                    </div>
                    <div class="row rowspacer">
                        <div class="six columns">
                            &nbsp;    
                        </div>
                        <div class="six columns generated-check">
                            <label class="noselect"><input id="ck_show_html_8-3" type="checkbox" class="show-html" /> Montrer le résultat en HTML</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="six columns">
                            <p>
                                <button id="btn_answer_8-3" class="noselect button button-answer">Indice</button>
                                <button id="btn_reset_8-3" class="noselect button button-reset">Remettre à zéro</button>
                            </p>                            
                            <p>
                                <a href="10-nestedLists.html" id="btn_answer_8-3" class="noselect button button-primary button-next-lesson u-full-width">Listes imbriquées</a>
                                <button class="noselect button-primary button-previous u-full-width">Exercice précédent</button>
                            </p>
                        </div>
                        <div class="six columns">
                            <!-- empty -->
                        </div>
                    </div>
                </div>
            </div>


        </div>

    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/markdown-it/8.3.1/markdown-it.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/nanobar/0.4.2/nanobar.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dot/1.1.2/doT.min.js"></script>
    
    <script src="../js/exercises.js"></script>
    <script src="../js/setup.js"></script>
    <script src="../js/menu.js"></script>

    <script type="text/javascript">
        var CURRENT_SECTION = 8;
    </script>
</body>

</html>
